<script lang="ts" setup>
import SubscriberUserForm from '@/components/forms/SubscriberUserForm.vue'
import { computed, onMounted, ref } from 'vue'
import { VCard, VIcon, VTab, VTabs, VWindow, VWindowItem } from 'vuetify/components'
import { useStore } from 'vuex'

// Definición de la interfaz (puedes ajustarla según tus datos)
interface SubscriberData {
  [key: string]: any
}

const props = defineProps<{ subscriberData: SubscriberData }>()
const store = useStore()
const user = ref<{ rol: string }>({ rol: '' })
const tab = ref(0)

onMounted(() => {
  user.value = store.state.user
})

// Solo se muestra si el usuario es 'admin' o 'root'
const isAllowed = computed(() =>
  ['admin', 'root'].includes(user.value.rol.toLowerCase())
)
</script>

<template>
  <!-- Solo se renderiza si el usuario tiene permiso -->
  <template v-if="isAllowed">
    <VTabs
      v-model="tab"
      vertical
      content-class="col-12 col-md-9 mt-1 mt-md-0"
      pills
      nav-wrapper-class="col-md-3 col-12"
      nav-class="nav-left"
    >
      <VTab>
        <template #default>
          <VIcon size="18" class="mr-50">mdi-account</VIcon>
          <span class="font-weight-bold">Subscriber</span>
        </template>
      </VTab>
    </VTabs>

    <VWindow v-model="tab" class="pa-4">
      <VWindowItem>
        <VCard>
          <SubscriberUserForm :user-data="props.subscriberData" />
        </VCard>
      </VWindowItem>
    </VWindow>
  </template>
</template>

<style scoped>
/* Agrega aquí tus estilos personalizados */
</style>
